ROBOT_Framework:ride.py execution is giving error

Hi All,

I am not able to execute the command “ride.py”,its giving the following ERROR message:

Wrong wxPython version.
You need to install wxPython 2.8.12.1 with unicode support to run RIDE.
wxPython 2.8.12.1 can be downloaded from http://sourceforge.net/projects/wxpytho
n/files/wxPython/2.8.12.1/

========================================================================

I have tried the following options:

Option1:

import wx

Traceback (most recent call last):
File “<pyshell#0>”, line 1, in
import wx
File “C:\Python27\lib\site-packages\wx-3.0-msw\wx_init_.py”, line 45, in
from wx._core import *
File “C:\Python27\lib\site-packages\wx-3.0-msw\wx_core.py”, line 4, in
import core
ImportError: DLL load failed: %1 is not a valid Win32 application.

Option2:

rebooted my system after installation

Option3:

C:\Python27>python.exe -c “from robotide import main;main()”
Wrong wxPython version.
You need to install wxPython 2.8.12.1 with unicode support to run RIDE.
wxPython 2.8.12.1 can be downloaded from http://sourceforge.net/projects/wxpytho
n/files/wxPython/2.8.12.1/

Thanks in advance.

-Subhankar

1 Like

 Anybody has solution for this problem. wxPython is no more supporting in mac

Maybe this will help?